document packaging (changed to what I’ve learned in the meantime)
authortg <tg@mirbsd.org>
Thu, 28 Jul 2011 11:36:36 +0000 (11:36 +0000)
committertg <tg@mirbsd.org>
Thu, 28 Jul 2011 11:36:36 +0000 (11:36 +0000)
configure.in
debian/README.source

index 9ab3250..0627811 100644 (file)
@@ -16,7 +16,7 @@ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.])
 
 AC_INIT([Concurrent Versions System (CVS)],[1.12.13-MirDebian-5],
-       [tg@mirbsd.org],[cvs])
+       [bug-cvs@nongnu.org],[cvs])
 AC_CONFIG_SRCDIR(src/cvs.h)
 AC_CONFIG_AUX_DIR(build-aux)
 AM_INIT_AUTOMAKE([gnu 1.9.2 dist-bzip2 no-define])
index febb5d6..503c18d 100644 (file)
@@ -1,47 +1,28 @@
-#!/bin/mksh
-# $MirOS: contrib/hosted/tg/deb/cvs/debian/README.source,v 1.10 2011/06/11 05:25:57 tg Exp $
+#!/bin/sh
+# $MirOS: contrib/hosted/tg/deb/cvs/debian/README.source,v 1.11 2011/07/28 11:36:36 tg Exp $
 #-
-# The patches are placed otherwhere in CVS:
+# The extracted .orig.tar.gz is kept in CVS, in the origtgz branch
+# with appropriate tags. Changes are directly applied to the code,
+# as checked out from CVS, and will end up as "direct patches with
+# no patch system", this is by design. When releasing, configure.in
+# AC_INIT call must be touched to change the version number, then
+# this script must be run to regenerate the autoconf/automake files.
+# For that, there are some dependencies:
+# sudo apt-get install autoconf2.59 automake1.9
+#
+# The patches should be kept in sync with those in The MirPorts Framework:
 # Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs ports/devel/cvs/patches
 # Vcs-Browser: http://cvs.mirbsd.de/ports/devel/cvs/patches/
-# Please look here too:
+# The gist of the patches should also be in sync with MirBSD base:
 # Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs src/gnu/usr.bin/cvs
 # Vcs-Browser: http://cvs.mirbsd.de/src/gnu/usr.bin/cvs/
 
-# The thing behind epoch:upstreamversion- without any ~bpo etc.
-DEBIANVER=5
-
 set -x
 cd "$(dirname "$0")/.."
-[[ $(basename "$(pwd)") = cvs-1.12.13 ]] && exit 1
-debian/rules clean
-set -e
-(cd ..; tar xzf cvs_1.12.13+real.orig.tar.gz)
-mv debian ../cvs-1.12.13/
-cd ..
-rm -rf cvs-1.12.13+real
-mv cvs-1.12.13 cvs-1.12.13+real
-cd cvs-1.12.13+real
-
-CVSROOT=:ext:_anoncvs@anoncvs.mirbsd.org:/cvs
-[[ $1 = -H ]] && CVSROOT=:ext:_anoncvs@herc.mirbsd.org:/cvs
-CVS_RSH=ssh cvs -qd $CVSROOT co -PA -ddebian/CVSTEMP ports/devel/cvs/patches
-read i?'Press ^C to abort, Enter to apply:'
-
-cat debian/CVSTEMP/patch-* | patch -lp0
-find . -name \*.orig -o -name \*.rej
-ed -s configure.in <<-EOF
-       ,g/-MirPorts-QQ/s//-MirDebian-${DEBIANVER}/
-       ,g/miros-discuss@/s//tg@/
-       w
-       q
-EOF
-
 rm -f config.h.in configure
-#aclocal-1.9 -I m4
-autoheader2.59
-automake-1.9
-autoconf2.59
-debian/rules clean
-find debian -name CVS -a -type d -print0 | xargs -0r rm -rf --
-exit 0
+rv=0
+#aclocal-1.9 -I m4 || rv=$?
+autoheader2.59 || rv=$?
+automake-1.9 || rv=$?
+autoconf2.59 || rv=$?
+exit $rv